.modal {

  &-container {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.32);
    transition-duration: 0.2s;
    z-index: 9;
  }

  border-radius: 0.5rem;
  box-shadow: 0 11px 15px -7px rgb(0 0 0 / 20%), 0 24px 38px 3px rgb(0 0 0 / 14%), 0 9px 46px 8px rgb(0 0 0 / 12%);
  border: 0 none;
  min-width: 45rem;
  max-width: 45rem;
  z-index: 1101;
  background: white;


  &-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 0 none;
    background: #ffffff;
    color: rgba(0, 0, 0, 0.87);
    padding: 1.25rem;
    border-top-right-radius: 4px;
    border-top-left-radius: 4px;
  }

  &-body {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2rem;

    form {
      label {
        margin: 1rem 0;
      }
      .input-group {
        padding: 1.5rem 0;
        input {
          &.rule-input {
            font-size: 1.4rem;
            padding: 0.5rem 0.25rem;
            text-align: center;
          }
      }
        span {
          margin: 0 1rem;
        }

      }

      button {
        margin-top: 1rem;
      }
    }
  }
}